@ECHO OFF

CALL scripts\getRESO.cmd
:CustomMenu
    DEL SkinDefinition.tmp
    CLS
    ECHO CUSTOMIZE
    ECHO.
    ECHO  DaimonUI3 Customization 
    ECHO.
    ECHO     Choose the resolution you use to play
    ECHO     The Lord of the Rings ONLINE (width).
    ECHO    ----------------------------
    ECHO     Current resolution: %RESO%
    ECHO    ----------------------------
    ECHO        [1] 1280w   [4] 1680w
    ECHO        [2] 1440w   [5] 1920w
    ECHO        [3] 1600w   [M] More
    ECHO        ---------------
    ECHO        [B] Back
    ECHO.&ECHO.&ECHO.
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='1' GOTO C1280
    IF '%OPTION%'=='2' GOTO C1440
    IF '%OPTION%'=='3' GOTO C1600
    IF '%OPTION%'=='4' GOTO C1680
    IF '%OPTION%'=='5' GOTO C1920
    IF '%OPTION%'=='m' GOTO MoreCustom
    IF '%OPTION%'=='M' GOTO MoreCustom
    IF '%OPTION%'=='b' GOTO MainCustom
    IF '%OPTION%'=='B' GOTO MainCustom
    GOTO CustomMenu

:MoreCustom
    IF EXIST scripts\moreCustom.cmd (
        CALL scripts\moreCustom.cmd
        GOTO MainMenu
        ) ELSE (
            CLS
            ECHO.&ECHO.
            ECHO This options is currently unavailable.
            PAUSE
            GOTO CustomMenu
            )

:C1280
    CALL scripts\parser.cmd begin
    TYPE xml\dmnui_1280.xml >> SkinDefinition.tmp
    CALL scripts\customBuilder.cmd
    CALL scripts\parser.cmd custom
    DEL ????.res
    ECHO Daimonui CUSTOM 1280 Resolution >> 1280.res
    GOTO EndCustom

:C1440
    CALL scripts\parser.cmd begin
    TYPE xml\dmnui_1440.xml >> SkinDefinition.tmp
    CALL scripts\customBuilder.cmd
    CALL scripts\parser.cmd custom
    DEL ????.res
    ECHO Daimonui CUSTOM 1440 Resolution >> 1440.res
    GOTO EndCustom

:C1600
    CALL scripts\parser.cmd begin
    TYPE xml\dmnui_1600.xml >> SkinDefinition.tmp
    CALL scripts\customBuilder.cmd
    CALL scripts\parser.cmd custom
    DEL ????.res
    ECHO Daimonui CUSTOM 1600 Resolution >> 1600.res
    GOTO EndCustom

:C1680
    CALL scripts\parser.cmd begin
    TYPE xml\dmnui_1680.xml >> SkinDefinition.tmp
    CALL scripts\customBuilder.cmd
    CALL scripts\parser.cmd custom
    DEL ????.res
    ECHO Daimonui CUSTOM 1680 Resolution >> 1680.res
    GOTO EndCustom

:C1920
    CALL scripts\parser.cmd begin
    TYPE xml\dmnui_1920.xml >> SkinDefinition.tmp
    CALL scripts\customBuilder.cmd
    CALL scripts\parser.cmd custom
    DEL ????.res
    ECHO Daimonui CUSTOM 1920 Resolution >> 1920.res
    GOTO EndCustom

:EndCustom
    SET RESOSET=%RESO%
    CALL scripts\getRESO.cmd
    TYPE xml\dmnui_end.xml >> SkinDefinition.tmp
    COPY /Y SkinDefinition.tmp SkinDefinition.xml
    DEL SkinDefinition.tmp
    CLS
    ECHO.&ECHO.
    ECHO    CUSTOM Skin created for DaimonUI
    ECHO    Resolution changed from %RESOSET% to %RESO%.
    ECHO.
    ECHO    Have fun playing The Lord of the Rings ONLINE
    ECHO    with DaimonUI!
    ECHO.&ECHO.
    PAUSE
    GOTO MainMenu