@ECHO OFF

CALL scripts\getRESO.cmd
:CustomMiniMenu
    DEL SkinDefinition.tmp
    CLS
    ECHO CUSTOMIZE
    ECHO.
    ECHO  DaimonUI3Mini Customization 
    ECHO.
    ECHO     Choose the resolution you use to play
    ECHO     The Lord of the Rings ONLINE (width).
    ECHO    ----------------------------
    ECHO     Current resolution: %MiniRESO%
    ECHO    ----------------------------
    ECHO        [1] 1280w   [4] 1680w
    ECHO        [2] 1440w   [5] 1920w
    ECHO        [3] 1600w   [M] More
    ECHO        ---------------
    ECHO        [B] Back
    ECHO.&ECHO.&ECHO.
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='1' GOTO C1280
    IF '%OPTION%'=='2' GOTO C1440
    IF '%OPTION%'=='3' GOTO C1600
    IF '%OPTION%'=='4' GOTO C1680
    IF '%OPTION%'=='5' GOTO C1920
    IF '%OPTION%'=='m' GOTO MoreMini
    IF '%OPTION%'=='M' GOTO MoreMini
    IF '%OPTION%'=='b' GOTO MainCustom
    IF '%OPTION%'=='B' GOTO MainCustom
    GOTO CustomMiniMenu

:MoreMini
    IF EXIST scripts\moreCustomMini.cmd (
        CALL scripts\moreCustomMini.cmd
        GOTO MainMenu
        ) ELSE (
            CLS
            ECHO.&ECHO.
            ECHO This options is currently unavailable.
            PAUSE
            GOTO CustomMiniMenu
            )

:C1280
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_1280.xml >> SkinDefinition.tmp
    CALL scripts\customBuilder.cmd
    CALL scripts\parser.cmd customMini
    DEL ..\Mini\????.res
    ECHO Daimonui CUSTOM 1280 Resolution >> ..\Mini\1280.res
    GOTO endCustomMini

:C1440
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_1440.xml >> SkinDefinition.tmp
    CALL scripts\customBuilder.cmd
    CALL scripts\parser.cmd customMini
    DEL ..\Mini\????.res
    ECHO Daimonui CUSTOM 1440 Resolution >> ..\Mini\1440.res
    GOTO endCustomMini

:C1600
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_1600.xml >> SkinDefinition.tmp
    CALL scripts\customBuilder.cmd
    CALL scripts\parser.cmd customMini
    DEL ..\Mini\????.res
    ECHO Daimonui CUSTOM 1600 Resolution >> ..\Mini\1600.res
    GOTO endCustomMini

:C1680
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_1680.xml >> SkinDefinition.tmp
    CALL scripts\customBuilder.cmd
    CALL scripts\parser.cmd customMini
    DEL ..\Mini\????.res
    ECHO Daimonui CUSTOM 1680 Resolution >> ..\Mini\1680.res
    GOTO endCustomMini

:C1920
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_1920.xml >> SkinDefinition.tmp
    CALL scripts\customBuilder.cmd
    CALL scripts\parser.cmd customMini
    DEL ..\Mini\????.res
    ECHO Daimonui CUSTOM 1920 Resolution >> ..\Mini\1920.res
    GOTO endCustomMini

:endCustomMini
    SET MiniRESOSET=%MiniRESO%
    CALL scripts\getRESO.cmd
    TYPE xml\dmnui_end.xml >> SkinDefinition.tmp
    COPY /Y SkinDefinition.tmp ..\Mini\SkinDefinition.xml
    DEL SkinDefinition.tmp
    CLS
    ECHO.&ECHO.
    ECHO    CUSTOM Skin created for DaimonUIMini
    ECHO    Resolution changed from %MiniRESOSET% to %MiniRESO%.
    ECHO.
    ECHO    Have fun playing The Lord of the Rings ONLINE
    ECHO    with DaimonUIMini!
    ECHO.&ECHO.
    PAUSE
    GOTO MainMenu