@ECHO OFF
SETLOCAL
BREAK OFF
TITLE DAIMONUI4 Setup
COLOR 0A

:MainMenu
CALL scripts\getRESO.cmd
CLS
    ECHO.&ECHO.
    ECHO  DaimonUI4 Setup 
    ECHO.
    ECHO     Welcome to DaimonUI for
    ECHO     The Lord of the Rings Online Setup
    ECHO    ----------------------------
    ECHO     Please select a funtion:
    ECHO.
    ECHO        [R] Change Resolution
    ECHO        [C] Customize
    ECHO        [H] Help
    ECHO        [V] Version
    ECHO        [X] Exit
    ECHO.&ECHO.&ECHO.
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='r' GOTO RES
    IF '%OPTION%'=='R' GOTO RES
    IF '%OPTION%'=='c' GOTO MainCustom
    IF '%OPTION%'=='C' GOTO MainCustom
    IF '%OPTION%'=='h' GOTO HELP
    IF '%OPTION%'=='H' GOTO HELP
    IF '%OPTION%'=='v' GOTO VERSION
    IF '%OPTION%'=='V' GOTO VERSION
    IF '%OPTION%'=='x' GOTO END
    IF '%OPTION%'=='X' GOTO END
    IF '%OPTION%'=='*' GOTO RESET
GOTO MainMenu

:RES
CALL scripts\defaults.cmd
GOTO MainMenu

:VERSION
CLS
ECHO.
TYPE xml\dmnui_start.xml
ECHO.
ECHO.
PAUSE
GOTO MainMenu

:MainCustom
CLS
    ECHO CUSTOMIZE
    ECHO.&ECHO.
    ECHO Please select the skin you want to customize:
    ECHO.
    ECHO        [1] DaimonUI
    ECHO        [2] DaimonUIMini
    ECHO        [3] DaimonUIUniversal
    ECHO        [A] About
    ECHO        ---------------
    ECHO        [B] Back
    ECHO.&ECHO.&ECHO.
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='1' GOTO CUSTOM1
    IF '%OPTION%'=='2' GOTO CUSTOM2
    IF '%OPTION%'=='3' GOTO CUSTOM3
    IF '%OPTION%'=='a' START docs\Addons.txt
    IF '%OPTION%'=='A' START docs\Addons.txt
    IF '%OPTION%'=='b' GOTO MainMenu
    IF '%OPTION%'=='B' GOTO MainMenu
    GOTO MainCustom
        :CUSTOM1
            CALL scripts\custom.cmd
            GOTO MainMenu
        :CUSTOM2
            CALL scripts\customMini.cmd
            GOTO MainMenu
        :CUSTOM3
            DEL SkinDefinition.tmp
            CALL scripts\parser.cmd begin
            TYPE xml\dmnuiUni.xml >> SkinDefinition.tmp
            CALL scripts\customBuilder.cmd
            CALL scripts\parser.cmd customUni
            TYPE xml\dmnui_end.xml >> SkinDefinition.tmp
            COPY /Y SkinDefinition.tmp ..\Universal\SkinDefinition.xml
            DEL SkinDefinition.tmp
            CLS
            ECHO.&ECHO.
            ECHO    CUSTOM Skin created for DaimonUIUniversal
            ECHO.
            ECHO    Have fun playing The Lord of the Rings ONLINE
            ECHO    with DaimonUIUniversal!
            ECHO.&ECHO.
            PAUSE
            GOTO MainMenu

:HELP
    CALL scripts\help.cmd
    GOTO MainMenu

:RESET
    CLS
    ECHO.
    ECHO WARNING!WARNING!WARNING!WARNING!WARNING
    ECHO.
    ECHO !! YOU'RE ABOUT TO RESET THE FILES !!
    ECHO.&ECHO.
    ECHO Press CTRL+C to Abort or
    PAUSE
    CLS
    CALL scripts\defaults.cmd uni
    CALL scripts\defaults.cmd 1280
    CALL scripts\defaults.cmd 1440
    CALL scripts\defaults.cmd 1600
    CALL scripts\defaults.cmd 1920
    CALL scripts\defaults.cmd 1680
    CLS
    ECHO.
    ECHO FILES GENERATED!
    PAUSE
    GOTO MainMenu

:END
ENDLOCAL